#ifndef UTILITY_HEADER
#define UTILITY_HEADER

//this is a true header file

extern TCHAR *GetString(int id);

class SuperUtility : public UtilityObj 
{
	public:
		HWND			hPanel;
		IUtil			*iu;
		
		void BeginEditParams(Interface *ip,IUtil *iu);
		void EndEditParams(Interface *ip,IUtil *iu);

		void Init(HWND hWnd);
		void Destroy(HWND hWnd);
		
		void DeleteThis() { }		
		//Constructor/Destructor
		SuperUtility();
		~SuperUtility();		
};

static SuperUtility theSuperUtility;

class SuperUtilityClassDesc:public ClassDesc2 
{
	public:
	int 			IsPublic() {return 1;}
	void *			Create(BOOL loading = FALSE) {return &theSuperUtility;}
	const TCHAR *	ClassName() {return GetString(IDS_CLASS_NAME);}
	SClass_ID		SuperClassID() {return UTILITY_CLASS_ID;}
	Class_ID		ClassID() {return SUPERUTILITY_CLASS_ID;}
	const TCHAR* 	Category() {return GetString(IDS_CATEGORY);}
	const TCHAR*	InternalName() { return _T("SuperUtility"); }	// returns fixed parsable name (scripter-visible name)
	HINSTANCE		HInstance() { return hInstance; }				// returns owning module handle
};

static SuperUtilityClassDesc SuperUtilityDesc;

#endif